<app-breadcrumb-admin [single]="false" titlePage="Crear Proyecto" backPage="Proyectos" url="projects"></app-breadcrumb-admin>


<div class="row">
  <div class="col-12">
    <div class="card mb-3">
      <div class="card-header">
        <h3><fa-icon [icon]="faHandPointer"></fa-icon> Nuevo Proyecto</h3>
      </div>
      <div class="card-body">
        <form class="validate-form" (ngSubmit)="submit(form)" #form="ngForm">
          <div class="form-floating">
            <input type="text" minlength="5" name="name" id="name" placeholder="Nombre" class="form-control" ngModel required>
            <label for="name">
              <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="french" *ngIf="serviceTranslation.getLang() == 'es'">
              <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="germany" *ngIf="serviceTranslation.getLang() == 'en'">
              <span>Nombre</span>
            </label>
          </div>
          <label for="description"  class="label-flags ps-3 mt-3">
            <img src="assets/images/flags/Flag_of_mexico.png" width="20px" alt="french" *ngIf="serviceTranslation.getLang() == 'es'">
            <img src="assets/images/flags/Flag_of_United.svg" width="20px" alt="germany" *ngIf="serviceTranslation.getLang() == 'en'">
            <span>Descripción</span>
          </label>
          <ckeditor [editor]="Editor" ngModel name="description" id="description"></ckeditor>
          <div class="position-relative form-group">

            <div class="alert alert-primary mt-3" role="alert">
              <fa-icon [icon]="faImages"></fa-icon> Imágenes (Formato png, jpg o jpeg de tamaño 1,280 x 960 a 72 dpi)<br>
            </div>
            <label for="image" class="">Imagen</label>
            <div class="row">
              <div class="col-4">
                <img [src]="url_images + imageInit" class="img-fluid cursor" [alt]="imageInit" *ngIf="imageInit" (click)="file.click()">
                <img [src]="thumbnail" *ngIf="thumbnail" class="img-fluid cursor" (click)="file.click()">
                <img src="assets/images/missing.png" *ngIf="!imageInit && !thumbnail" class="img-fluid cursor" (click)="file.click()">
              </div>
              <div class="col-4 d-flex align-items-center">
                <div class="upload-btn-wrapper">
                  <button class="btn btn-primary cursor" type="button">Selecciona un archivo</button>
                  <input type="file" name="image" id="image" (change)="getImage($event)" #file>
                </div>
              </div>
            </div>
          </div>
          <div class="alert alert-warning mt-3" role="alert">
            <fa-icon [icon]="faImages"></fa-icon> Para agregar galeria al producto, es necesario crearlo primero y posteriormente ir al apartado de edición<br>
          </div>
          <button type="submit" [disabled]="form.invalid" class="mt-2 float-end btn btn-primary">
            <fa-icon [icon]="faSave"></fa-icon>
            Guardar
          </button>
        </form>
      </div>
    </div>
  </div>
</div>
